首页 > 日记 > fast_backend must implement the Zend_Cache_Backend_ExtendedInterface interface
2015
01-31

fast_backend must implement the Zend_Cache_Backend_ExtendedInterface interface

运行发现报错。。

“fast_backend must implement the Zend_Cache_Backend_ExtendedInterface interface”

好吧。。现在就只能看代码找原因了。。

得到的结果是,

app/code/core/Mage/Core/Model/Cache.php

在Mage_Core_Model_Cache类的_getBackendOptions方法内找到

case ‘xcache’:
if (extension_loaded(‘xcache’)) {
$enable2levels = true;
$backendType = ‘Xcache’;
}
break;

把$enable2levels = true;这行屏蔽。

最后编辑:
作者:ning
这个作者貌似有点懒,什么都没有留下。